Subject: Re: [PATCH 4/5] udp: memory limitation by using udp_mem

From: Hideo AOKI <[email-masked]>
Date: Fri, 16 Nov 2007 21:52:16 -0500

Herbert Xu wrote:
> On Thu, Nov 15, 2007 at 03:23:53PM -0800, David Miller wrote:
>> We don't have tests all over the place to see if a socket is TCP or
>> DCCP or SCTP in order to implement memory accounting there, because we
>> did it for connection oriented protocols cleanly, seperating things
>> via callbacks etc.
>>
>> I would like to see the datagram memory accounting work similarly.
> 
> I agree.  In fact if we adopt some of the conventions used by
> stream protocols such as the use of sk_forward_alloc, we should
> be able to share code with TCP accounting too.
> 
> As it is every packet updates a global counter, using sk_forward_alloc
> would mean that for most packets you only update a per-socket counter
> which then would feed into the global counter at points such as socket
> creation and destruction.
> 
> Cheers,

Hello,

I appreciate your comments.

I understood that memory accounting code should avoid special protocols checks.
Then, I'll improve this part in next patch set.

Many thanks,
Hideo

-- 
Hitachi Computer Products (America) Inc.